質問をすることでしか得られない、回答やアドバイスがある。

15分調べてもわからないことは、質問しよう!

新規登録して質問してみよう
ただいま回答率
87.20%
docker-compose

docker-composeとは、複数のコンテナで構成されるサービスを提供する手順を自動的し管理を簡単にするツール。composeファイルを使用しコマンド1回で設定した全サービスを作成・起動することが可能です。

Ruby

Rubyはプログラミング言語のひとつで、オープンソース、オブジェクト指向のプログラミング開発に対応しています。

Docker

Dockerは、Docker社が開発したオープンソースのコンテナー管理ソフトウェアの1つです

Ruby on Rails 7

Ruby on Rails 7は、2021年12月に正式リリースされました。Ruby on Railsのバージョン7であり、フロントエンド開発環境を大幅に刷新。Node.jsを用いない構成がデフォルトになっています。

解決済

docker-compose build でエラーが出る

.taniyan
.taniyan

総合スコア9

docker-compose

docker-composeとは、複数のコンテナで構成されるサービスを提供する手順を自動的し管理を簡単にするツール。composeファイルを使用しコマンド1回で設定した全サービスを作成・起動することが可能です。

Ruby

Rubyはプログラミング言語のひとつで、オープンソース、オブジェクト指向のプログラミング開発に対応しています。

Docker

Dockerは、Docker社が開発したオープンソースのコンテナー管理ソフトウェアの1つです

Ruby on Rails 7

Ruby on Rails 7は、2021年12月に正式リリースされました。Ruby on Railsのバージョン7であり、フロントエンド開発環境を大幅に刷新。Node.jsを用いない構成がデフォルトになっています。

1回答

0リアクション

0クリップ

272閲覧

投稿2022/08/07 08:57

前提

dockerでアプリが立ち上がるように実装しいざdocker-compose buildを実行すると
You must use Bundler 2 or greater with this lockfile.というエラーが発生しました。

実現したいこと

コンテナを起動できるようにしたい

発生している問題・エラーメッセージ

=> ERROR [6/7] RUN gem install bundler && bundle install 1.8s ------ > [6/7] RUN gem install bundler && bundle install: #9 1.506 Successfully installed bundler-2.3.19 #9 1.506 1 gem installed #9 1.787 You must use Bundler 2 or greater with this lockfile. ------ executor failed running [/bin/sh -c gem install bundler && bundle install]: exit code: 20 ERROR: Service 'app' failed to build : Build failed

該当のソースコード

docker-compose.yml

version: '3' services: app: build: context: . command: bundle exec puma -C config/puma.rb volumes: - .:/portfolio - public-data:/portfolio/public - tmp-data:/portfolio/tmp - log-data:/portfolio/log networks: - portfolio-network depends_on: - db db: image: mysql:5.7 environment: MYSQL_ROOT_PASSWORD: password MYSQL_USER: user MYSQL_PASSWORD: password MYSQL_DATABASE: portfolio_development volumes: - db-data:/var/lib/mysql networks: - portfolio-network web: build: context: ./nginx_docker volumes: - public-data:/portfolio/public - tmp-data:/portfolio/tmp ports: - 80:80 depends_on: - app networks: - portfolio-network volumes: public-data: tmp-data: log-data: db-data: networks: portfolio-network: external: true

Dockerfile

FROM ruby:2.5.1 RUN apt-get update -qq && \ apt-get install -y build-essential \ nodejs\ mysql-server\ mysql-client WORKDIR /portfolio COPY Gemfile /portfolio//Gemfile COPY Gemfile.lock /portfolio//Gemfile.lock RUN gem install bundler && bundle install RUN mkdir -p tmp/sockets

試したこと

https://qiita.com/___fff_/items/8b62633b59d7d72e6719
こちらのURLを参考にしてgemfile.lockを削除し、再度バージョンが2以上のbundlerをインストールしたが結果は変わりませんでした。
他に考えられることなどありますでしょうか?

以下のような質問にはリアクションをつけましょう

  • 質問内容が明確
  • 自分も答えを知りたい
  • 質問者以外のユーザにも役立つ

リアクションが多い質問は、TOPページの「注目」タブのフィードに表示されやすくなります。

気になる質問をクリップする

クリップした質問は、後からいつでもマイページで確認できます。

またクリップした質問に回答があった際、通知やメールを受け取ることができます。

下記のような質問は推奨されていません。

  • 間違っている
  • 質問になっていない投稿
  • スパムや攻撃的な表現を用いた投稿

適切な質問に修正を依頼しましょう。

akbr

2022/08/10 07:15

GemfileやGemfile.lockの中身も公開した方がコメントつきやすいかもしれません。 あとRailsを利用している場合はRailsのバージョンとBundlerのバージョンの互換性を確認した方がいいかもです。

まだ回答がついていません

会員登録して回答してみよう

15分調べてもわからないことは
teratailで質問しよう!

ただいまの回答率
87.20%

質問をまとめることで
思考を整理して素早く解決

テンプレート機能で
簡単に質問をまとめる

質問する

関連した質問

同じタグがついた質問を見る

docker-compose

docker-composeとは、複数のコンテナで構成されるサービスを提供する手順を自動的し管理を簡単にするツール。composeファイルを使用しコマンド1回で設定した全サービスを作成・起動することが可能です。

Ruby

Rubyはプログラミング言語のひとつで、オープンソース、オブジェクト指向のプログラミング開発に対応しています。

Docker

Dockerは、Docker社が開発したオープンソースのコンテナー管理ソフトウェアの1つです

Ruby on Rails 7

Ruby on Rails 7は、2021年12月に正式リリースされました。Ruby on Railsのバージョン7であり、フロントエンド開発環境を大幅に刷新。Node.jsを用いない構成がデフォルトになっています。